Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.reporting.dependencies
[Java] Class HtmlDependencyReportTask

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.reporting.dependencies.HtmlDependencyReportTask

All Implemented Interfaces:
  Reporting

    @Incubating
    public class HtmlDependencyReportTask
    extends ConventionTask

Generates an HTML dependency report. This report combines the features of the ASCII dependency report and those of the ASCII dependency insight report. For a given project, it generates a tree of the dependencies of every configuration, and each dependency can be clicked to show the insight of this dependency.

This task generates a report for the task's containing project by default. But it can also generate a report for multiple projects, by setting the value of the `projects` property. Here's how to generate an HTML dependency report for all the projects of a multi-project build, for example:

     htmlDependencyReport {
         projects = project.allprojects
     }

The report is generated in the `build/reports/project/dependencies` directory by default. This can also be changed by setting the `outputDirectory` property.

Constructor Summary
`HtmlDependencyReportTask()`

Method Summary
`void` | `generate()`
`Set` | `getProjects()` Returns the set of projects to generate a report for.
`DependencyReportContainer` | `getReports()`
`DependencyReportContainer` | `reports(Closure closure)`
`void` | `setProjects(Set projects)` Specifies the set of projects to generate this report for.

Constructor Detail

### HtmlDependencyReportTask

    public HtmlDependencyReportTask()

Method Detail

### generate

    @TaskAction
    public void generate()

### getProjects

    public Set getProjects()

  Returns the set of projects to generate a report for. By default, the report is generated for the task's containing project.
  Returns:
    The set of files.

### getReports

    public DependencyReportContainer getReports()

### reports

    public DependencyReportContainer reports(Closure closure)

### setProjects

    public void setProjects(Set projects)

  Specifies the set of projects to generate this report for.
  Parameters:
    `projects` - The set of projects. Must not be null.

Gradle API 1.10